#include "vision.h"
#include<bits/stdc++.h>
using namespace std;
std::vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(std::vector<int> v)
{
    if(v[v.size()/2]==1)
    {
        for(int i=0;i<v.size();i++)
        {
            if(v[i]==3)
            {
                return i;
            }
        }
        for(int i=0;i<v.size();i++)
        {
            if(v[i]==2)
            {
                return i;
            }
        }
        return 0;
    }
    else if(v[v.size()/2]==2)
    {
        for(int i=0;i<v.size();i++)
        {
            if(v[i]==3)
            {
                return i;
            }
        }
    }
    else
    {
        for(int i=0;i<v.size()/2;i++)
        {
            if(v[i]!=1)
            {
                return v.size()-1;
            }
        }
        return 0;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
